#!/usr/bin/env python

from otk import *
import sys 
 
tbutton1 = None
tbutton2 = None
directory="."
wildcards=""
filename=""

def toggled( state, x ):
    global tbutton1
    global tbutton2
    if state == 1: 
        print "Toggle button %d toggled ON." % (x)
    else:
        print "Toggle button %d toggled OFF." % (x)
    print " (Toggle button states: %d %d" %(Otk_Get_Button_State(tbutton1),Otk_Get_Button_State(tbutton2))

def my_file_answer( filename ):
    print "To open file %s" % (filename)

def fileopener():
    Otk_Browse_Files( "File to Open:", 500, directory, wildcards, filename, my_file_answer )

def saveas_answer( filename ):
    print "To save as file %s" % (filename)

def filesaver():
    Otk_Browse_Files("File to Save:", 500, directory, wildcards, filename, saveas_answer)

def radiocallback( x ):
    print "Radio button %d selected." % (x)

def selectlistcallback(x):
    print "Item %d selected." % (x)

def testbutton():
    print "Test button pressed."

def quit(x):
    print "Exiting" 
    exit(0)

# ===================== MAIN ======================== 
if __name__ == '__main__':
    print "in main"
    # OtkWidget menubar, pdmenu1, pdmenu2, pdmenu3, pdmenu4, pdmenu5, sbmenu
    # OtkWidget rbutton1, slist
    x=3.0
    y=5.0 

    OtkInitWindow( 400, 450, sys.argv )

    OtkOuterWindow = cvar.OtkOuterWindow

    #/******************************/
    #/* Make some Pull-down Menus. */
    #/******************************/
    menubar = OtkMakePanel( OtkOuterWindow, Otk_Flat, OtkSetColor(0.7,0.7,0.7), 0, 0, 100, 5 )

    pdmenu1 = Otk_Make_Menu( menubar, 0, 0, 15, 100, " File " )
    Otk_Add_Menu_Item( pdmenu1, "Open", fileopener )
    Otk_Add_Menu_Item( pdmenu1, "Save")
    Otk_Add_Menu_Item( pdmenu1, "Save As", filesaver)
    Otk_Add_Menu_Item( pdmenu1, "Print")
    Otk_Add_Menu_Item( pdmenu1, "Exit", quit, 0 )

    pdmenu2 = Otk_Make_Menu( menubar, 15, 0, 15, 100, " Edit " )
    Otk_Add_Menu_Item( pdmenu2, "Cut")
    Otk_Add_Menu_Item( pdmenu2, "Copy")
    Otk_Add_Menu_Item( pdmenu2, "Paste")

    pdmenu3 = Otk_Make_Menu( menubar, 30, 0, 15, 100, " View " )
    Otk_Add_Menu_Item( pdmenu3, "Normal")
    sbmenu = Otk_Add_SubMenu( pdmenu3, "Zoom" )    #/* Add a Sub-Menu. */
    Otk_Add_Menu_Item( sbmenu, "Zoom-In")
    Otk_Add_Menu_Item( sbmenu, "Zoom-Out")

    pdmenu4 = Otk_Make_Menu( menubar, 45, 0, 15, 100, " Tools " )
    Otk_Add_Menu_Item( pdmenu4, "Search")


    pdmenu5 = Otk_Make_Menu( menubar, 60, 0, 15, 100, " Help " )
    Otk_Add_Menu_Item( pdmenu5, "About")

    #/******************************/
    #/* Make some toggle buttons.  */
    #/******************************/

    #/* x = horizontal position, y = vertical. */
    x = 3.0
    y = 12.0
    hsz = 8.0
    vsz=2.0
    OtkMakeTextLabel( OtkOuterWindow, "Toggle Buttons:", Otk_Black, 2.0, 1.0, x, y )
    tbutton1 = OtkMakeToggleButton( OtkOuterWindow, x+50, y, hsz, vsz, toggled, 1 )
    OtkMakeTextLabel( OtkOuterWindow, "T1", Otk_Black, 2.0, 1.0, x+59, y+0.4 )
    tbutton2 = OtkMakeToggleButton( OtkOuterWindow, x+70, y, hsz, vsz, toggled, 2 )
    OtkMakeTextLabel( OtkOuterWindow, "T2", Otk_Black, 2.0, 1.0, x+79, y+0.4 )


    #/******************************/
    #/* Make some Radio Buttons.   */
    #/******************************/
    x = 3.0
    y = 30.0
    hsz = 8.0
    vsz=2.0
    dx = 20.0
    OtkMakeTextLabel( OtkOuterWindow, "Radio Buttons:", Otk_Black, 2.0, 1.0, x, y )
    x = 10.0
    y = y + 5.0
    rbutton1 = OtkMakeRadioButton( OtkOuterWindow, x, y, hsz, vsz, radiocallback, 1 )
    OtkMakeTextLabel( OtkOuterWindow, "R1", Otk_Black, 2.0, 1.0, x+9.0, y )
    x = x + dx
    OtkMakeRadioButton( rbutton1, x, y, hsz, vsz, radiocallback, 2 )
    OtkMakeTextLabel( OtkOuterWindow, "R2", Otk_Black, 2.0, 1.0, x+9.0, y )
    x = x + dx
    OtkMakeRadioButton( rbutton1, x, y, hsz, vsz, radiocallback, 3 )
    OtkMakeTextLabel( OtkOuterWindow, "R3", Otk_Black, 2.0, 1.0, x+9.0, y )
    x = x + dx
    OtkMakeRadioButton( rbutton1, x, y, hsz, vsz, radiocallback, 4 )
    OtkMakeTextLabel( OtkOuterWindow, "R4", Otk_Black, 2.0, 1.0, x+9.0, y )

 
    #/******************************/
    #/* Make a selection-list.     */
    #/******************************/
    x = 3.0
    y = 50.0
    OtkMakeTextLabel( OtkOuterWindow, "Selection List:", Otk_Black, 2.0, 1.0, x, y )
    hsz = 70.0
    vsz=20.0
    x = 10.0
    y = y + 5.0
    nrows = 5
    ncols = 25
    slist = Otk_Make_Selection_List( OtkOuterWindow, nrows, ncols, x, y, hsz, vsz )
    Otk_Add_Selection_Item( slist, "Grapes", selectlistcallback, 1 )
    Otk_Add_Selection_Item( slist, "Olives", selectlistcallback, 2 )
    Otk_Add_Selection_Item( slist, "Bananas", selectlistcallback, 3 )
    Otk_Add_Selection_Item( slist, "Cherries", selectlistcallback, 4 )
    Otk_Add_Selection_Item( slist, "Apples", selectlistcallback, 5 )
    Otk_Add_Selection_Item( slist, "Cigars", selectlistcallback, 6 )
    Otk_Add_Selection_Item( slist, "Lemons", selectlistcallback, 7 )
    Otk_Add_Selection_Item( slist, "Tangerines", selectlistcallback, 8 )
    Otk_Frame_Selection_List( slist )

    OtkMakeButton( OtkOuterWindow, 45.0, 89.0, 10.0, 4.0, "Test", testbutton )
    OtkMakeButton( OtkOuterWindow, 45.0, 95.0, 10.0, 4.0, "Exit", quit, 0 )
    OtkMainLoop()
