#!/usr/bin/env python
 
from otk import *
import sys

def quit(val):
    sys.exit(0)

def update(x):
  print "Update from panel %d"% x


if __name__ == '__main__':

   OtkInitWindow( 900, 600) 
   OtkOuterWindow = cvar.OtkOuterWindow

   # Make two tabbed panels. 
   pnames = ["Panel One", "Panel Two"]
   tabs = Otk_Tabbed_Panel_New( 
		OtkOuterWindow, 
		pnames, 
		Otk_Gray, 
		15, 20, 
		70, 70, 
		8 ) 

   # Place something on panel 1. 
   panel1 = tabs.getPanel(0);
   OtkMakeTextLabel( panel1, "Panel Uno", Otk_Blue, 2.0, 1.0, 25, 10)
   OtkMakeButton( panel1, 20, 20, 20, 10, "Update 1", update, 1 )

   # Place something on panel 2.
   panel2 = tabs.getPanel(1)
   OtkMakeTextLabel( panel2, "Panel Two", Otk_Red, 2.0, 1.0, 10, 10)
   OtkMakeButton( panel2, 40, 50, 20, 10, "Update 2", update, 2 )

   OtkMakeButton( OtkOuterWindow, 50, 95, 10, 4, " Exit ", quit, 0 )
   OtkMainLoop()

