# setup.py
import distutils
from distutils.core import setup, Extension

otk = Extension("_otk", 
                libraries = ['GLU', 'GL', 'Xmu', 'Xext', 'X11', 'm'],
                #libraries = ['glu32', 'opengl32', 'winmm', 'gdi32'], # Windows MinGW
                library_dirs = ['/usr/X11R6/lib', '/usr/lib'],
                swig_opts = ['-O'],
                sources = ["otk.i"])

setup(name = "otk",
      version = "0.2",
      description = 'Otk wraper using SWIG',
      author = 'Jim Popken, Sculptor, Inc',
      author_email = 'jim@jscada.com',
      #py_modules = ['otk'],
      packages = ['otk'],
      package_dir = {'otk': ''},
      package_data = {'otk': ['examples/*.py','otk.py','Readme.txt']},
      ext_package = 'otk',
      ext_modules = [otk])

