#!/usr/bin/env python

from otk import *
import sys

MAXSTR = 5000

picture_object = 0
border = None
dirname = "."
wildcards = ".ppm .jpg .gif .png"
fname = ""

def file_answer( filename ):
    global picture_object
    print "Browsing returned file-name: '%s'" % (filename)
    if picture_object != 0:
        Otk_RemoveObject( picture_object )
    picture_object = OtkMakeImagePanel( border, filename, 4.5, 5, 91.0, 90 )


def open_new_image( data ): #/* Pop-up file browser to select a new image file for display. */
    Otk_Browse_Files( "Image to View:", MAXSTR, dirname, wildcards, fname, file_answer )

def quit( x ):
    exit(0)

if __name__ == '__main__':

    OtkInitWindow( 610, 600, sys.argv )       #/* Make the outer window. */
    OtkOuterWindow = cvar.OtkOuterWindow

    #/* Make a border for the picture. */
    border = OtkMakePanel(OtkOuterWindow, Otk_Raised, OtkSetColor( 0.13, 0.22, 0.33), 6, 3, 88, 82 )

    #/* Display first image, or note saying no picture. */
    Otk_Set_Object_Border_Thickness( border, 0.4 )

    if len(sys.argv) < 2:
        picture_object = OtkMakeTextLabel( border, "No image.", Otk_Red, 5, 1.0, 30, 40 )
    else:
        picture_object = OtkMakeImagePanel( border, sys.argv[1], 4.5, 5, 91.0, 90 )

    #/* Place open and close buttons. */
    OtkMakeButton( OtkOuterWindow, 6, 90, 24, 6, "Open ", open_new_image, 0 )
    OtkMakeButton( OtkOuterWindow, 70, 90, 24, 6, "Close ", quit, 0 )

    OtkMainLoop()
